Fail script on compilation error.

- Fail on any error in the build script to catch build issue earlier.

Change-Id: I951f61ad76096a3733224a97047abb56af029e97
diff --git a/setup-ramcloud.sh b/setup-ramcloud.sh
index c34d649..77cca18 100755
--- a/setup-ramcloud.sh
+++ b/setup-ramcloud.sh
@@ -1,5 +1,8 @@
 #!/bin/sh
 
+# fail on command error
+set -e
+# echo back each command
 set -x
 
 ONOS_HOME=${ONOS_HOME:-~/ONOS}